AbstractExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.AbstractExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class AbstractExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor

Direct Known Subclasses:
  GetExecutor, MapGetExecutor, PropertyExecutor

public abstract class AbstractExecutor
extends Object

Abstract class that is used to execute an arbitrary method that is in introspected. This is the superclass for the GetExecutor and PropertyExecutor.

Version:
  $Id: AbstractExecutor.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary
`protected Log` | `log`

Constructor Summary
`AbstractExecutor()`

Method Summary
`abstract Object` | `execute(Object o)` Execute method against context.
`Method` | `getMethod()`
`boolean` | `isAlive()` Tell whether the executor is alive by looking at the value of the method.
`protected void` | `setMethod(Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected Log log

Constructor Detail

### AbstractExecutor

    public AbstractExecutor()

Method Detail

### execute

    public abstract Object execute(Object o)
                            throws IllegalAccessException,
                                   InvocationTargetException

  Execute method against context.

  Parameters:
    `o` -
  Returns:
    The resulting object.
  Throws:
    `IllegalAccessException`
    `InvocationTargetException`

### isAlive

    public boolean isAlive()

  Tell whether the executor is alive by looking at the value of the method.

  Returns:
    True if executor is alive.

### getMethod

    public Method getMethod()

  Returns:
    The current method.

### setMethod

    protected void setMethod(Method method)

  Parameters:
    `method` -
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.